.range-wrap {
    background: #ededed;
    margin: 20px 0;
    border: 8px solid #BFE2FF;    
    box-shadow: 0 4px 12px rgba(0,0,0,0.2), 0 16px 20px rgba(0,0,0,0.2);    
}
.range-slider * {
    margin: 0;
    padding: 0;
    border: 0;
}    
.range-slider, 
.range-ticks,
.label-range{
    display: flex;
}
.range-slider {
    flex-flow: column nowrap;
    margin: 0 auto;
    max-width: 28em;
    padding: 0 1.5em 1.5em 1.5em;
    font-size: calc(20px + (20)*(100vw)/(2000));
    box-sizing: border-box;    
}
.range-slider input[type=range], 
.range {
    border-radius: 0.75em;
    overflow: hidden;
    position: relative;
    height: 1.5em;    
}
.range-slider input[type=range] {
    background-color: transparent;
    font: 1em/1.5 'Roboto Condensed', sans-serif;
    box-shadow: 0.3em 0.3em 0.4em #c1c2c5 inset, -0.3em -0.3em 0.4em #fff inset;
    display: block;
    padding: 0 0.1em;
    width: 70%;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.range-slider input[type=range]:focus {
    outline: transparent;
}
.range-ticks {
    font: 1em/1.5 'Roboto Condensed', sans-serif;
    justify-content: space-between;
    align-items: center;
    pointer-events: none;
    position: absolute;
    top: 0.04em;
    left: 0.75em;
    width: calc(100% - 1.5em);
    height: 100%;
}
.range-tick, 
.range-tick-text {
    display: inline-block;
}
.range-tick {
    color: #454954;
    font-size: 0.5em;
    text-align: center;
    width: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.range-tick-text {
    transform: translateX(-50%);
}
.label-range {
    font: 0.8em/1.5 'Roboto Condensed', sans-serif;
    margin-top: 1em;
    margin-bottom: 0.5em;
}
.data-range {
    display: flex;
    height: 3em;    
    width: 3em;
    justify-content: center;
    align-items: center;    
    text-align: center;
    font: bold 0.5em/1.5 'Roboto Condensed', sans-serif;
    color: #FFF;
    position: absolute;
    top: 0;
    z-index: 2;
    pointer-events: none;
    background-color: #337AB7;
    border: 0;
    border-radius: 50%;
    box-shadow: -0.3em -0.3em 0.5em #0d518c inset, 0 -0.2em 0.2em 0 rgba(0,0,0,0.2), 0.3em 0.5em 0.8em  rgba(0,0,0,0.3);
}